Description

Create new pools and a CephFS filesystem:

$ ceph osd pool create cephfs.b.data 8

$ ceph osd pool application enable cephfs.b.data cephfs

$ ceph osd pool create cephfs.b.meta 8

$ ceph osd pool application enable cephfs.b.meta cephfs

$ ceph fs flag set enable_multiple true

$ ceph fs new b cephfs.b.meta cephfs.b.data

UI crashes because of accessing non-existing data:

Go to the dashboard and select the 'b' filesystem in the filesystem table.

zone.js:199 Uncaught TypeError: Cannot read property 'name' of undefined

    at CephfsDetailComponent.push../src/app/ceph/cephfs/cephfs-detail/cephfs-detail.component.ts.C

ephfsDetailComponent.ngOnChanges (cephfs-detail.component.ts:56)

    at checkAndUpdateDirectiveInline (core.js:22085)

    at checkAndUpdateNodeInline (core.js:23353)

    at checkAndUpdateNode (core.js:23315)

    at debugCheckAndUpdateNode (core.js:23949)

    at debugCheckDirectivesFn (core.js:23909)

    at Object.eval [as updateDirectives] (CephfsListComponent.html:9)

    at Object.debugUpdateDirectives [as updateDirectives] (core.js:23901)

    at checkAndUpdateView (core.js:23297)

 

 

The 'Performance Details' tab is shown either no GrafanaID is set

and no graphs could be displayed. In such a case the tab shouldn't be displayed.

The clients tab crashes when selecting filesystem 'b'.
http://localhost:4200/api/cephfs/2/clients

{"status": "500 Internal Server Error", "detail": "

The server encountered an unexpected condition which prevented it from fulfilling the request.", "

traceback": "Traceback (most recent call last):\n  File \"

/usr/lib/python3.7/site-packages/cherrypy/_cprequest.py\", line 628, in respond\n

    self._do_respond(path_info)\n  File \"/usr/lib/python3.7/site-packages/cherrypy/_cprequest.py

\", line 687, in _do_respond\n    response.body = self.handler()\n  File \"

/usr/lib/python3.7/site-packages/cherrypy/lib/encoding.py\", line 219, in __call__\n

    self.body = self.oldhandler(*args, **kwargs)\n  File \"

/usr/lib/python3.7/site-packages/cherrypy/_cptools.py\", line 230, in wrap\n

    return self.newhandler(innerfunc, *args, **kwargs)\n  File \"

/ceph/src/pybind/mgr/dashboard/services/exception.py\", line 88, in dashboard_exception_handler\n

    return handler(*args, **kwargs)\n  File \"

/usr/lib/python3.7/site-packages/cherrypy/_cpdispatch.py\", line 54, in __call__\n

    return self.callable(*self.args, **self.kwargs)\n  File \"

/ceph/src/pybind/mgr/dashboard/controllers/__init__.py\", line 649, in inner\n

    ret = func(*args, **kwargs)\n  File \"/ceph/src/pybind/mgr/dashboard/controllers/__init__.py\"

, line 842, in wrapper\n    return func(*vpath, **params)\n  File \"

/ceph/src/pybind/mgr/dashboard/controllers/cephfs.py\", line 38, in clients\n

    return self._clients(fs_id)\n  File \"/ceph/src/pybind/mgr/dashboard/controllers/cephfs.py\"

, line 270, in _clients\n    status, clients = cephfs_clients.get()\n  File \"

/ceph/src/pybind/mgr/dashboard/tools.py\", line 250, in wrapper\n

    return rvc.run(fn, args, kwargs)\n  File \"/ceph/src/pybind/mgr/dashboard/tools.py\"

, line 232, in run\n    raise self.exception\n  File \"/ceph/src/pybind/mgr/dashboard/tools.py\"

, line 153, in run\n    val = self.fn(*self.args, **self.kwargs)\n  File \"

/ceph/src/pybind/mgr/dashboard/controllers/cephfs.py\", line 318, in get\n

    return CephService.send_command('mds', 'session ls', srv_spec='{0}:0'.format(self.fscid))\n

  File \"/ceph/src/pybind/mgr/dashboard/services/ceph_service.py\", line 163, in send_command\n

    mgr.send_command(result, srv_type, srv_spec, json.dumps(argdict), \"\")\n  File \"

/ceph/src/pybind/mgr/mgr_module.py\", line 886, in send_command\n

    self._ceph_send_command(*args, **kwargs)\n

RuntimeError: failed to send command to mds: (2) No such file or directory\n", "version": "18.1.1"

}

History

#1 - 07/24/2019 01:21 PM - Volker Theile

- File Auswahl_002.png added

- Description updated

- Status changed from New to In Progress

#2 - 07/24/2019 01:40 PM - Volker Theile

- Subject changed from mgr/dashboard: UI crashes when a CephFS has no mds info to mgr/dashboard: Various UI issues related to CephFS

- Description updated

#3 - 07/24/2019 01:42 PM - Volker Theile

- Description updated

#4 - 07/24/2019 01:43 PM - Volker Theile

- Description updated

#5 - 07/24/2019 02:29 PM - Volker Theile

- Pull request ID set to 29272

#6 - 07/29/2019 10:24 AM - Ricardo Marques

- Status changed from In Progress to Resolved
